'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _nodeUserDefaults = require('node-user-defaults');

var _nodeUserDefaults2 = _interopRequireDefault(_nodeUserDefaults);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Create a basic middleware builder to build persistent middleware
exports.default = function (storeLocation) {
  _nodeUserDefaults2.default.setLocation(storeLocation);
  return function (store) {
    return function (next) {
      return function (action) {
        var newState = next(action);
        _nodeUserDefaults2.default.writeJson({ state: store.getState() });
        return newState;
      };
    };
  };
};